package com.izouma.awesomeadmin.model;


import com.fasterxml.jackson.annotation.JsonAutoDetect;
import com.fasterxml.jackson.annotation.JsonInclude;

import java.util.List;

/**
 * gen_code_model 实体类
 * Fri May 04 15:57:06 CST 2018  Suo Chen Cheng
 */
@JsonAutoDetect
@JsonInclude(JsonInclude.Include.NON_NULL)
public class GenCode {

    /**
     * id
     */
    private Integer id;

    /**
     * 表名
     */
    private String tableName;

    /**
     * 类名
     */
    private String className;

    /**
     * 备注
     */
    private String remark;

    /**
     * 是否生成表
     */
    private Boolean genTable;

    /**
     * 是否生成类
     */
    private Boolean genClass;

    /**
     * 是否生成列表页面
     */
    private Boolean genList;

    /**
     * 是否生成表单页面
     */
    private Boolean genForm;

    /**
     * 是否生成路由
     */
    private Boolean genRouter;

    /**
     * 字段表id
     */
    private String fieldId;

    /**
     * java生成路径
     */
    private String javaPath;

    /**
     * vue生成路径
     */
    private String viewPath;

    /**
     * 路由生成路径
     */
    private String routerPath;

    /**
     * 数据库类型：Mysql/SqlServer
     */
    private String dataBaseType;

    private List<TableField> fields;    // 表字段
    private TableField primaryField; //主键字段

    private Boolean readTable;

    /**
     * 数据库CODE,使用什么数据源S
     */
    private String dataSourceCode;

    /**
     * 生成代码的JSON Str
     */
    private String genJson;

    private String searchKey;

    private String delFlag;

    private String typeFlag;

    private List<Subtable> subtables;


    public List<TableField> getFields() {
        return fields;
    }

    public void setFields(List<TableField> fields) {
        this.fields = fields;
    }

    public TableField getPrimaryField() {
        return primaryField;
    }

    public void setPrimaryField(TableField primaryField) {
        this.primaryField = primaryField;
    }

    public void setId(Integer id) {
        this.id = id;
    }

    public Integer getId() {
        return id;
    }

    public void setTableName(String tableName) {
        this.tableName = tableName;
    }

    public String getTableName() {
        return tableName;
    }

    public void setClassName(String className) {
        this.className = className;
    }

    public String getClassName() {
        return className;
    }

    public void setRemark(String remark) {
        this.remark = remark;
    }

    public String getRemark() {
        return remark;
    }

    public void setGenTable(Boolean genTable) {
        this.genTable = genTable;
    }

    public Boolean getGenTable() {
        return genTable;
    }

    public void setGenClass(Boolean genClass) {
        this.genClass = genClass;
    }

    public Boolean getGenClass() {
        return genClass;
    }

    public void setGenList(Boolean genList) {
        this.genList = genList;
    }

    public Boolean getGenList() {
        return genList;
    }

    public void setGenForm(Boolean genForm) {
        this.genForm = genForm;
    }

    public Boolean getGenForm() {
        return genForm;
    }

    public void setFieldId(String fieldId) {
        this.fieldId = fieldId;
    }

    public String getFieldId() {
        return fieldId;
    }

    public String getJavaPath() {
        return javaPath;
    }

    public void setJavaPath(String javaPath) {
        this.javaPath = javaPath;
    }

    public String getViewPath() {
        return viewPath;
    }

    public void setViewPath(String viewPath) {
        this.viewPath = viewPath;
    }

    public String getDataBaseType() {
        return dataBaseType;
    }

    public void setDataBaseType(String dataBaseType) {
        this.dataBaseType = dataBaseType;
    }

    public Boolean getReadTable() {
        return readTable;
    }

    public void setReadTable(Boolean readTable) {
        this.readTable = readTable;
    }

    public String getRouterPath() {
        return routerPath;
    }

    public void setRouterPath(String routerPath) {
        this.routerPath = routerPath;
    }

    public Boolean getGenRouter() {
        return genRouter;
    }

    public void setGenRouter(Boolean genRouter) {
        this.genRouter = genRouter;
    }

    public String getDataSourceCode() {
        return dataSourceCode;
    }

    public void setDataSourceCode(String dataSourceCode) {
        this.dataSourceCode = dataSourceCode;
    }

    public String getGenJson() {
        return genJson;
    }

    public void setGenJson(String genJson) {
        this.genJson = genJson;
    }

    public String getSearchKey() {
        return searchKey;
    }

    public void setSearchKey(String searchKey) {
        this.searchKey = searchKey;
    }

    public String getDelFlag() {
        return delFlag;
    }

    public void setDelFlag(String delFlag) {
        this.delFlag = delFlag;
    }

    public String getTypeFlag() {
        return typeFlag;
    }

    public void setTypeFlag(String typeFlag) {
        this.typeFlag = typeFlag;
    }

    public List<Subtable> getSubtables() {
        return subtables;
    }

    public void setSubtables(List<Subtable> subtables) {
        this.subtables = subtables;
    }
}

